Get Analytics Pull Requests
Return pull-request analytics for the customer. Windowing: pass explicit start/end, or days (default: the last 30 days).
Return pull-request analytics for the customer.
Windowing: pass explicit start/end, or days (default: the last 30 days).
Authorization
HTTPBearer In: header
Query Parameters
Header Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/analytics/pull-requests"{ "facets": { "account_types": [ "string" ], "authors": [ { "account_type": "string", "author_id": 0, "avatar_url": "string", "login": "string", "prs": 0 } ], "repos": [ { "prs": 0, "repository_id": 0, "repository_name": "string" } ] }, "recent": [ { "additions": 0, "changed_files": 0, "commits": 0, "created_at": "2019-08-24T14:15:22Z", "deletions": 0, "head_ref": "string", "head_sha": "string", "html_url": "string", "id": 0, "merged_at": "2019-08-24T14:15:22Z", "number": 0, "repository_name": "string", "status": "string", "title": "string", "user_avatar_url": "string", "user_login": "string" } ], "series": [ { "authors": 0, "authors_bot": 0, "authors_human": 0, "closed": 0, "commits": 0, "commits_bot": 0, "commits_human": 0, "date": "string", "lines": 0, "lines_bot": 0, "lines_human": 0, "merge_time": { "p0": 0, "p100": 0, "p25": 0, "p50": 0, "p75": 0 }, "merged": 0, "prs": 0, "prs_bot": 0, "prs_human": 0 } ], "totals": { "active_authors": 0, "commits": 0, "lines": 0, "merge_time_p50_hours": 0, "merged": 0, "prs": 0 }, "truncated": true}Get Analytics Metrics
Return the customer's PR/review analytics metrics — the same data as the analytics dashboard. Windowing: pass explicit start/end, or days (default: the last 30 days). account_type in all|user|bot scopes the authors (bot = the apps/agents). Available to all credential types: the responses expose the customer's own GitHub PR/review activity, no secrets.
Get Analytics Reviews
Return code-review analytics for the customer. account_type scopes reviewers (bot|user|all) — e.g. "what apps review the most PRs?" is the reviewer facets here with account_type=bot. Windowing: pass explicit start/end, or days (default: the last 30 days).